Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor.services
Class MemoryMonitor

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.monitor.services.MemoryMonitor

All Implemented Interfaces:
  javax.management.MBeanRegistration, MemoryMonitorMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class MemoryMonitor
extends org.jboss.system.ServiceMBeanSupport
implements MemoryMonitorMBean

MemoryMonitor class.

Version:
  $Revision: 1.1.4.1 $
Author:
  Dimitris Andreadis

Field Summary
`static String` | `DEFAULT_CRITICAL_THRESHOLD` default critical threshold
`static String` | `DEFAULT_SAMPLING_PERIOD` default sampling period
`static int` | `DEFAULT_WARNING_MEASUREMENTS` default number of measurements to trigger warning
`static String` | `DEFAULT_WARNING_THRESHOLD` default warning threshold
`static String` | `FREE_MEMORY_KEY` Free memory key to use in AlarmNotification/userData map
`static long` | `GIGA`
`static long` | `HOUR`
`static long` | `KILO` conversion constants
`static long` | `MEGA`
`static String` | `MEMORY_LOW` Notification type which indicates a memory low alarm
`static long` | `MINS`
`static long` | `SECS`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`MemoryMonitor()` CTOR

Method Summary
`String` | `getFreeMemoryCriticalThreshold()`
`long` | `getFreeMemorySample()`
`String` | `getFreeMemoryWarningThreshold()`
`String` | `getSamplingPeriod()`
`String` | `getSeverity()`
`int` | `getTriggeringWarningMeasurements()`
`void` | `setFreeMemoryCriticalThreshold(String s)`
`void` | `setFreeMemoryWarningThreshold(String s)`
`void` | `setSamplingPeriod(String s)`
`void` | `setTriggeringWarningMeasurements(int measurements)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### MEMORY_LOW

    public static final String MEMORY_LOW

  Notification type which indicates a memory low alarm

  See Also:
    Constant Field Values

### FREE_MEMORY_KEY

    public static final String FREE_MEMORY_KEY

  Free memory key to use in AlarmNotification/userData map

  See Also:
    Constant Field Values

### DEFAULT_WARNING_THRESHOLD

    public static final String DEFAULT_WARNING_THRESHOLD

  default warning threshold

  See Also:
    Constant Field Values

### DEFAULT_WARNING_MEASUREMENTS

    public static final int DEFAULT_WARNING_MEASUREMENTS

  default number of measurements to trigger warning

  See Also:
    Constant Field Values

### DEFAULT_CRITICAL_THRESHOLD

    public static final String DEFAULT_CRITICAL_THRESHOLD

  default critical threshold

  See Also:
    Constant Field Values

### DEFAULT_SAMPLING_PERIOD

    public static final String DEFAULT_SAMPLING_PERIOD

  default sampling period

  See Also:
    Constant Field Values

### KILO

    public static final long KILO

  conversion constants

  See Also:
    Constant Field Values

### MEGA

    public static final long MEGA

See Also:
  Constant Field Values

### GIGA

    public static final long GIGA

See Also:
  Constant Field Values

### SECS

    public static final long SECS

See Also:
  Constant Field Values

### MINS

    public static final long MINS

See Also:
  Constant Field Values

### HOUR

    public static final long HOUR

See Also:
  Constant Field Values

Constructor Detail

### MemoryMonitor

    public MemoryMonitor()

  CTOR

Method Detail

### setTriggeringWarningMeasurements

    public void setTriggeringWarningMeasurements(int measurements)

  Specified by:
    `setTriggeringWarningMeasurements` in interface `MemoryMonitorMBean`

### getTriggeringWarningMeasurements

    public int getTriggeringWarningMeasurements()

  Specified by:
    `getTriggeringWarningMeasurements` in interface `MemoryMonitorMBean`

### setFreeMemoryWarningThreshold

    public void setFreeMemoryWarningThreshold(String s)

  Specified by:
    `setFreeMemoryWarningThreshold` in interface `MemoryMonitorMBean`

### getFreeMemoryWarningThreshold

    public String getFreeMemoryWarningThreshold()

  Specified by:
    `getFreeMemoryWarningThreshold` in interface `MemoryMonitorMBean`

### setFreeMemoryCriticalThreshold

    public void setFreeMemoryCriticalThreshold(String s)

  Specified by:
    `setFreeMemoryCriticalThreshold` in interface `MemoryMonitorMBean`

### getFreeMemoryCriticalThreshold

    public String getFreeMemoryCriticalThreshold()

  Specified by:
    `getFreeMemoryCriticalThreshold` in interface `MemoryMonitorMBean`

### setSamplingPeriod

    public void setSamplingPeriod(String s)

  Specified by:
    `setSamplingPeriod` in interface `MemoryMonitorMBean`

### getSamplingPeriod

    public String getSamplingPeriod()

  Specified by:
    `getSamplingPeriod` in interface `MemoryMonitorMBean`

### getFreeMemorySample

    public long getFreeMemorySample()

  Specified by:
    `getFreeMemorySample` in interface `MemoryMonitorMBean`

### getSeverity

    public String getSeverity()

  Specified by:
    `getSeverity` in interface `MemoryMonitorMBean`

### startService

    public void startService()
                      throws Exception

  Throws:
    `Exception`

### stopService

    public void stopService()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.